<!doctype html>
<html>
<head>
    <title>Polipo changes maintainer | The Tor Project</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="monetization" content="$ilp.uphold.com/pYfXb92JBQN4">
    <link rel="stylesheet" href="../static/css/style.css?h=5fc6c25a">
    <link rel="stylesheet" href="../static/fonts/fontawesome/css/all.min.css?h=9d272f6a">
    <link rel="stylesheet" href="../static/pygments.css">
    <link rel="icon" type="image/x-icon" href="../static/images/favicon/favicon.ico">
    <link rel="icon" type="image/png" href="../static/images/favicon/favicon.png">
    <meta property="og:title" content="Polipo changes maintainer | Tor Project">
    <meta property="og:description" content="Congratulations to Chrisd for assuming maintainership of the Polipo codebase from Juliusz. The...">
    <meta property="og:image" content="https://blog.torproject.org/static/images/lead.png">
    <meta property="og:url" content="https://blog.torproject.org/polipo-changes-maintainer/">
    <meta name="twitter:card" content="summary_large_image">
</head>
<body>
  <header>
    <nav>
      <a class="navbar-brand" href="../"><img alt="Tor Blog" src="../static/images/logo.png" /></a>
      <ul class="navbar-nav">
          <li><a href="https://www.torproject.org/about/history/">About</a></li>
          <li><a href="https://support.torproject.org/">Support</a></li>
          <li><a href="https://community.torproject.org/">Community</a></li>
          <li><a href="https://forum.torproject.org/">Forum</a></li>
          <li><a href="https://donate.torproject.org/">Donate</a></li></ul>
    </nav>
  </header>
  <section class="content">
    <main>
  <article class="blog-post">
      <h1 class="title">
        Polipo changes maintainer
      </h1>
    <p class="meta">by phobos | December 11, 2009</p>
    <picture>
      <source media="(min-width:415px)" srcset="../static/images/lead.webp" type="image/webp">
<source srcset="../static/images/lead_small.webp" type="image/webp">

      <img class="lead" src="../static/images/lead.png">
    </picture>
    <div class="body">
      <link rel="stylesheet" href="../static/css/legacy.css?h=21ddbb2d">
      <p>Congratulations to Chrisd for assuming maintainership of the Polipo codebase from Juliusz.  The full announcement is available at <a href="http://sourceforge.net/mailarchive/forum.php?thread_name=87d42l7fka.fsf%40trurl.pps.jussieu.fr&amp;forum_name=polipo-users" rel="nofollow">the mailing list archives</a>.</p>

<p><em>Why Chris?</em></p>

<p>Chrisd was a 2009 Google Summer of Code for Tor/EFF.  His project was <a href="https://blog.torproject.org/blog/polipo-portability-enhancements-summary" rel="nofollow">Polipo Portability Enhancements</a>.  Chris has proven himself to be a very competent coder and able to design and implement features as needed.  He even wrote a SOCKS layer fix for Firefox bugs, <a href="https://bugzilla.mozilla.org/show_bug.cgi?id=280661" rel="nofollow">https://bugzilla.mozilla.org/show_bug.cgi?id=280661</a>.  </p>

<p><em>What does this mean to Tor?</em></p>

<p>It means we have a fantastic new coder maintaining the polipo codebase.  Bugfixes, features, and more frequent releases should help improve polipo beyond where it is today.  </p>

<p><em>Is Tor going to control Polipo?</em></p>

<p>We're not going to influence Chris on the direction of Polipo, but provide him support, volunteers, and an infrastructure to let him do what he needs to do.  Juliusz created polipo and got it off to a great start.  We're going to support Chris in continuing the progress.  The world still wants an http proxy that's modern, fast, and flexible.  Privoxy is a fine alternative to polipo, perhaps the two projects can come together.  </p>

<p><em>What's happening to Juliusz?</em></p>

<p>Juliusz is a busy person.  His free time has been concentrated on Babel, <a href="http://www.pps.jussieu.fr/~jch/software/babel/" rel="nofollow">http://www.pps.jussieu.fr/~jch/software/babel/</a>, over the past year.  Juliusz is still a committer to polipo. We appreciate all of his help during the transition and for the years of maintenance of polipo.</p>

    </div>
  <div class="categories">
    <ul><li>
        <a href="../category/community">
          community
        </a>
      </li><li>
        <a href="../category/internships">
          internships
        </a>
      </li><li>
        <a href="../category/network">
          network
        </a>
      </li></ul>
  </div>
  <div class="comments">
      <h2>Comments</h2>
      <p>Please note that the comment area below has been archived.</p>
      <a id="comment-3507"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-3507" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">December 11, 2009</p>
    </div>
    <a href="#comment-3507">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-3507" class="permalink" rel="bookmark">Finally, better polipo on</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Finally, better polipo on the way.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-3509"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-3509" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">December 11, 2009</p>
    </div>
    <a href="#comment-3509">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-3509" class="permalink" rel="bookmark">sorry but Polipo sucks hard</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>sorry but Polipo sucks hard as privacy guardian</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-3575"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-3575" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">December 17, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-3509" class="permalink" rel="bookmark">sorry but Polipo sucks hard</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-3575">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-3575" class="permalink" rel="bookmark">Polipo isnt being used as a</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Polipo isnt being used as a "privacy guardian", but rather as a socks pipelining shim between Firefox and Tor.  None of its filtering capabilities, if any, are enabled.  </p>
<p>Torbutton is used to stop script and content related privacy leaks.<br />
You can install Adblock Plus or RequestPolicy add-ons to remove ads and cross-site requests.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-3514"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-3514" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">December 12, 2009</p>
    </div>
    <a href="#comment-3514">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-3514" class="permalink" rel="bookmark">&gt;On December 11th, 2009</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>&gt;On December 11th, 2009 Anonymous said:<br />
&gt;sorry but Polipo sucks hard as privacy guardian</p>
<p>Evidence, please.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-3534"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-3534" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">December 13, 2009</p>
    </div>
    <a href="#comment-3534">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-3534" class="permalink" rel="bookmark">Great! Does this new patch</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Great! Does this new patch fix the issue of polipo completely not working with the latest Tor packages for Mac and the latest Firefox with TorButton?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-3540"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-3540" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phobos
  </article>
    <div class="comment-header">
      <p class="comment__submitted">phobos said:</p>
      <p class="date-time">December 14, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-3534" class="permalink" rel="bookmark">Great! Does this new patch</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-3540">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-3540" class="permalink" rel="bookmark">I use polipo on a mac daily,</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I use polipo on a mac daily, from the dmg we produce just fine.  What is your issue?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-3629"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-3629" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">December 18, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to phobos</p>
    <a href="#comment-3629">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-3629" class="permalink" rel="bookmark">Hi,
Thx for your</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Hi,</p>
<p>Thx for your contributions to the Tor project and this blog.</p>
<p>I detailed my problem using latest Torbutton on Flyspray #1021 (I had the previous "internal error" message with TB 1.2.2, now changed (but possibly same error message causing issue) to present TB 1.2.3 message. As mentioned in that report, doesn't matter if I use default check box Pilipo, or deselect and use the manual custom proxies settings (which are installed by default by TB?)...same error message.</p>
<p>Other than mozilla's forum, 2008 TB entry w/same error message I can't find a forum that shows where the problem is in the configuration setup?</p>
<p><a href="http://support.mozilla.com/tiki-view_forum_thread.php?locale=tr&amp;forumId=1&amp;comments_parentId=57338" rel="nofollow">http://support.mozilla.com/tiki-view_forum_thread.php?locale=tr&amp;forumId…</a></p>
<p> Is there anyone who has posted anywhere, the entire set of screenshots for OS X setup w/FF 3.6 or earlier?</p>
<p>TIA,</p>
<p>teadrinker (not the Anon post above)</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div><a id="comment-3544"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-3544" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">December 14, 2009</p>
    </div>
    <a href="#comment-3544">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-3544" class="permalink" rel="bookmark">Privoxy for life!
I&#039;ll never</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Privoxy for life!</p>
<p>I'll never switch from Privoxy to Polipo or another proxy, Privoxy just works so well I kiss the code and dance around proclaiming how wonderful Privoxy is! Woot!</p>
<p>Offtopic, yes, but I cannot see any benefits of using Polipo with Tor above Privoxy with Tor.</p>
<p>BTW, why not implement some ascii captchas like fscked.org torbutton author uses on his site (thanks, torbutton author for torbutton and for your ascii captchas!) for those of us who don't browse w/ images loaded. The ascii captchas his site has are actually readable every time. Thanks! Tor is great!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-3546"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-3546" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phobos
  </article>
    <div class="comment-header">
      <p class="comment__submitted">phobos said:</p>
      <p class="date-time">December 14, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-3544" class="permalink" rel="bookmark">Privoxy for life!
I&#039;ll never</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-3546">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-3546" class="permalink" rel="bookmark">With free software (free as</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>With free software (free as in freedom) it's your choice.  More power to you.  Enjoy privoxy.</p>
<p>ascii captchas are machine readable and filled the blog with spam, that's why.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-3552"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-3552" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">December 15, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to phobos</p>
    <a href="#comment-3552">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-3552" class="permalink" rel="bookmark">I&#039;m wondering if you could</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I'm wondering if you could tell me how to disable the<br />
pop-up that tells me a new TOR version is a available<br />
every time I start up my Firefox.<br />
I am happy with Privoxy, I don't want to switch to Polipo<br />
just yet.</p>
<p>I realize that it's purpose is to annoy; but what a<br />
disrespectful thing to do to a TOR user<br />
because she chooses to ignore the pop-up (about<br />
a thousand times).</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-3568"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-3568" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phobos
  </article>
    <div class="comment-header">
      <p class="comment__submitted">phobos said:</p>
      <p class="date-time">December 16, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-3552" class="permalink" rel="bookmark">I&#039;m wondering if you could</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-3568">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-3568" class="permalink" rel="bookmark">Does it prompt with an</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Does it prompt with an option to click Ignore?  You could also download the tor expert bundle, point vidalia and privoxy at and go from there.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div></div><a id="comment-3661"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-3661" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">December 19, 2009</p>
    </div>
    <a href="#comment-3661">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-3661" class="permalink" rel="bookmark">I have the current stable</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I have the current stable version of Tor/vidalia/polipo running on Mac. Tor works fine when enabled on firefox. However, since I installed the bundle all my other browsers and various apps can no longer access the web. I checked proxy settings and can't figure out the problem. Sometimes I get error message stating "request denied" (from polipo ?) Suggestions ? Thanks for all you do !</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-3780"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-3780" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">December 31, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-3661" class="permalink" rel="bookmark">I have the current stable</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-3780">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-3780" class="permalink" rel="bookmark">Yep, same issue here.  It</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Yep, same issue here.  It says polipo isn't accepting local connections?  Not sure how to correct this on a mac.  Anyone else?<br />
Thanks!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-3791"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-3791" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phobos
  </article>
    <div class="comment-header">
      <p class="comment__submitted">phobos said:</p>
      <p class="date-time">December 31, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-3780" class="permalink" rel="bookmark">Yep, same issue here.  It</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-3791">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-3791" class="permalink" rel="bookmark">what bundle are you using? </a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>what bundle are you using?  the latest on the easy-download page should work without issue.  older versions had a bug where vidalia didn't pass the config file to polipo on start.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-3806"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-3806" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 03, 2010</p>
    </div>
              <p class="parent visually-hidden">In reply to phobos</p>
    <a href="#comment-3806">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-3806" class="permalink" rel="bookmark">Updated to vidalia</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Updated to vidalia bundle-0.2.1.21-0.2.6 and issues persist. Connections from other apps are still being denied access. Please advise, thanks. BTW Happy New Year!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-3823"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-3823" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phobos
  </article>
    <div class="comment-header">
      <p class="comment__submitted">phobos said:</p>
      <p class="date-time">January 04, 2010</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-3806" class="permalink" rel="bookmark">Updated to vidalia</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-3823">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-3823" class="permalink" rel="bookmark">did you uninstall/remove the</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>did you uninstall/remove the old version first?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-3882"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-3882" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 06, 2010</p>
    </div>
              <p class="parent visually-hidden">In reply to phobos</p>
    <a href="#comment-3882">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-3882" class="permalink" rel="bookmark">I uninstalled via</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I uninstalled via instructions here:</p>
<p><a href="http://www.torproject.org/docs/tor-doc-osx.html.en" rel="nofollow">http://www.torproject.org/docs/tor-doc-osx.html.en</a></p>
<p>*but* could find no installed /Library/Torbutton file to remove, nor step #4 which says to remove Vidalia from your home directory, do they mean the d/l dmg file as I have nothing currently in *any* /Library I have searched on?</p>
<p>3.  Remove /Library/Torbutton from your system.<br />
4.  In your home directory, go to Library, remove the Vidalia directory</p>
<p>I installed the latest bundle now available since my prior message, where the latest was 0.2.5 as of Dec. 3rd, now updated to 0.2.6 (to match the Intel version), checking the 'changes list' I see nothing that would pertain to the problem I continue to get, the bundle also installed a newer version of Tor Button, up from 1.2.3 &gt; 1.2.4</p>
<p>Checking, still no installed /Library/Torbutton file to remove, before updating to 1.2.4, or after :(</p>
<p>Still getting this from latest FF 3.5.7 after successfully getting Vidalia (advanced message log) &amp; TB 1.2.4 enabled:</p>
<p>The proxy server is refusing connections </p>
<p>Firefox is configured to use a proxy server that is refusing connections.</p>
<p>    *   Check the proxy settings to make sure that they are correct.</p>
<p>    *   Contact your network administrator to make sure the proxy server is<br />
          working.</p>
<p>Frustrated, is there forum on the net where someone knows how to troubleshoot Tor installation for PPC Macs can help us go step-by-step with screenshots?</p>
<p>shall I try the older 0.2.5 alpha release for PPC?</p>
<p>teadrinker</p>
<p>btw, preview of this post shows no punctuation</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-3888"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-3888" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phobos
  </article>
    <div class="comment-header">
      <p class="comment__submitted">phobos said:</p>
      <p class="date-time">January 06, 2010</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-3882" class="permalink" rel="bookmark">I uninstalled via</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-3888">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-3888" class="permalink" rel="bookmark">There are a few ways to get</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>There are a few ways to get better help than in blog comments:</p>
<p>Mailing lists:  <a href="https://www.torproject.org/documentation.html.en#MailingLists" rel="nofollow">https://www.torproject.org/documentation.html.en#MailingLists</a></p>
<p>irc chat: <a href="irc://irc.oftc.net/tor" rel="nofollow">irc://irc.oftc.net/tor</a></p>
<p>or one of these contact points, <a href="https://www.torproject.org/contact.html.en" rel="nofollow">https://www.torproject.org/contact.html.en</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-3979"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-3979" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 15, 2010</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-3882" class="permalink" rel="bookmark">I uninstalled via</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-3979">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-3979" class="permalink" rel="bookmark">I found a solution. Deleted</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I found a solution. Deleted the privoxy folder from my startup items and rebooted. All is as it should be. Hope this helps. Thanks for responses.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div></div></div></div></div><a id="comment-3883"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-3883" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 06, 2010</p>
    </div>
    <a href="#comment-3883">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-3883" class="permalink" rel="bookmark">LOL, 
Comment window shows</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>LOL, </p>
<p>Comment window shows punctuation...</p>
<p>looks terrible w/o punctuation as posted</p>
<p>teadrinker</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-3991"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-3991" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 17, 2010</p>
    </div>
    <a href="#comment-3991">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-3991" class="permalink" rel="bookmark">Clicking
https://wiki.torproj</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Clicking<br />
<a href="https://wiki.torproject.org/noreply/TheOnionRouter/PrivoxyConfig" rel="nofollow">https://wiki.torproject.org/noreply/TheOnionRouter/PrivoxyConfig</a><br />
causes Firefox to throw up a warning page containing<br />
"<br />
This Connection is Untrusted<br />
 You have asked Firefox to connect<br />
securely to svn.torproject.org, but we can't confirm that your connection is secure.<br />
Normally, when you try to connect securely,<br />
sites will present trusted identification to prove that you are<br />
going to the right place. However, this site's identity can't be verified.</p>
<p>What Should I Do?<br />
If you usually connect to<br />
this site without problems, this error could mean that someone is<br />
trying to impersonate the site, and you shouldn't continue.</p>
<p>Technical Details<br />
svn.torproject.org uses an invalid security certificate.</p>
<p>The certificate is not trusted because the issuer certificate is unknown.</p>
<p>(Error code: sec_error_unknown_issuer)</p>
<p>I Understand the Risks</p>
<p>If you understand what's going on, you<br />
can tell Firefox to start trusting this site's identification.<br />
Even if you trust the site, this error could mean that someone is<br />
tampering with your connection.</p>
<p>Don't add an exception unless<br />
you know there's a good reason why this site doesn't use trusted identification.<br />
"</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-7215"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-7215" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">August 11, 2010</p>
    </div>
    <a href="#comment-7215">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-7215" class="permalink" rel="bookmark">Some of us use self signed</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Some of us use self signed certificates to save money.<br />
My services are free and to only a select few people who understand why I do this.<br />
Example, you want to do personal email while at the office and don't want the IT department reading your email on the servers spool.<br />
My users just type "<a href="https://XXX.XXX.XXX.XXX/webmail" rel="nofollow">https://XXX.XXX.XXX.XXX/webmail</a>" and they are connected vis 256Bit encryption. Of course that's after accepting the self signed certificate.<br />
My wife uses it from work for email, and she also does a VPN connection to her Linux desktop to browse sites her company needs not to know.<br />
Sometimes she is actually looking for a better job.<br />
Don't want that known HUH?<br />
What's so darn funny is the IT department where she works is so MicroSnot centric and click the button only they have no idea how to put up a decent firewall.<br />
Maybe someday they will become enlightened but for now SSL is perfect for private communications.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-8544"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-8544" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">December 03, 2010</p>
    </div>
    <a href="#comment-8544">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-8544" class="permalink" rel="bookmark">Made it through the</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Made it through the installation docs for Ubuntu, until "(sudo) /etc/init.d/polipo restart". There is no polipo script whatsoever in /etc/init.d</p>
</div>
  </div>
</article>
<!-- Comment END -->
  </div>
  </article>

</main>
    <aside class="sidebar">
<!-- ##SIDEBAR## -->
</aside>
  </section>
  <footer><div class="row download">
    <div class="col circles"></div>
    <div class="col link">
        <h3>Download Tor Browser</h3>
        <p>Download Tor Browser to experience real private browsing without tracking, surveillance, or censorship.</p>
        <a class="btn" href="https://www.torproject.org/download/">Download Tor Browser <i class="fas fa-arrow-down-png-purple"></i></a>
    </div>
</div>
<div class="row social">
    <div class="col newsletter">
        <h3>Subscribe to our Newsletter</h3>
        <p>Get monthly updates and opportunities from the Tor Project:</p>
        <p class="w"><a class="btn btn-dark" role="button" href="https://newsletter.torproject.org/">Sign up</a></p>
    </div>
    <div class="col links">
        <div class="row">
            <h4><a target="_blank" href="https://www.facebook.com/TorProject/"><i class="fab fa-facebook"></i></a></h4>
            <h4><a target="_blank" href="https://mastodon.social/@torproject" rel="me"><i class="fab fa-mastodon"></i></a></h4>
            <h4><a target="_blank" href="https://twitter.com/torproject"><i class="fab fa-twitter"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://www.instagram.com/torproject"><i class="fab fa-instagram"></i></a></h4>
            <h4><a target="_blank" href="https://www.linkedin.com/company/tor-project"><i class="fab fa-linkedin"></i></a></h4>
            <h4><a target="_blank" href="https://github.com/torproject"><i class="fab fa-github"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://t.me/torproject"><i class="fab fa-telegram"></i></a></h4>
        </div>
    </div>
</div>
<div class="row notice">
    <p>Trademark, copyright notices, and rules for use by third parties can be found in our <a href="https://www.torproject.org/about/trademark/">FAQ</a>.</p>
</div></footer>
</body>
</html>
